Usage
Your and your organization's dev use against the policy's budgets.
Get your usage
The caller's and the organisation's dev use against the policy's budget, in ci's cost unit.
One unit is one vCPU-second, ci's cost unit; a session costs max(cpus, memory GiB / 8) units a second of its admitted weight, reserved 15 minutes ahead and released when it ends. person is the caller's accountable person in the current UTC day, org the organisation in the current UTC month. reserved_units is the paid time still ahead of live sessions, used_units the rest of the window. limit_units and remaining_units are null without a budget. Use is reported whether or not a budget is set.
Response
orgorg.limit_unitsorg.remaining_units- limit_units minus used and reserved, never below 0
org.reserved_units- paid time still ahead of live sessions
org.resets_atorg.used_unitspersonperson.limit_unitsperson.remaining_units- limit_units minus used and reserved, never below 0
person.reserved_units- paid time still ahead of live sessions
person.resets_atperson.used_unitsunit- One of
vcpu_seconds
curl "$CIRESK_API/v1/dev/usage" \
-H "Authorization: Bearer $CIRESK_KEY"